package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学生报名表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_registration")
public class StudentRegistration extends Model<StudentRegistration> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 学生姓名
     */
    @TableField("name_")
    private String name;
    /**
     * 所属乐团（对应 music_group 表id）
     */
    @TableField("music_group_id_")
    private Integer musicGroupId;
    /**
     * 当前所在年级
     */
    @TableField("current_grade_")
    private String currentGrade;
    /**
     * 当前所在班级
     */
    @TableField("current_class_")
    private String currentClass;
    /**
     * 报名科目
     */
    @TableField("subject_id_")
    private Integer subjectId;
    /**
     * 是否允许调剂
     */
    @TableField("is_allow_adjust_")
    private String isAllowAdjust;
    /**
     * 器材购买方式（团购、自备）
     */
    @TableField("kit_purchase_method_")
    private String kitPurchaseMethod;
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 家长姓名
     */
    @TableField("parents_name_")
    private String parentsName;
    /**
     * 家长电话
     */
    @TableField("parents_phone_")
    private String parentsPhone;
    /**
     * 家长单位
     */
    @TableField("parents_company_")
    private String parentsCompany;
    /**
     * 缴费状态（1-已缴费 0-未交费）
     */
    @TableField("payment_status_")
    private String paymentStatus;
    /**
     * 实际科目编号
     */
    @TableField("actual_subject_id_")
    private Integer actualSubjectId;
    /**
     * 班级id
     */
    @TableField("class_group_id_")
    private Integer classGroupId;


    public Long getId() {
        return id;
    }

    public StudentRegistration setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public StudentRegistration setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getName() {
        return name;
    }

    public StudentRegistration setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public StudentRegistration setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public StudentRegistration setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
        return this;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public StudentRegistration setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
        return this;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public StudentRegistration setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    public String getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public StudentRegistration setIsAllowAdjust(String isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
        return this;
    }

    public String getKitPurchaseMethod() {
        return kitPurchaseMethod;
    }

    public StudentRegistration setKitPurchaseMethod(String kitPurchaseMethod) {
        this.kitPurchaseMethod = kitPurchaseMethod;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public StudentRegistration setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentRegistration setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StudentRegistration setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getParentsName() {
        return parentsName;
    }

    public StudentRegistration setParentsName(String parentsName) {
        this.parentsName = parentsName;
        return this;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public StudentRegistration setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
        return this;
    }

    public String getParentsCompany() {
        return parentsCompany;
    }

    public StudentRegistration setParentsCompany(String parentsCompany) {
        this.parentsCompany = parentsCompany;
        return this;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public StudentRegistration setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
        return this;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public StudentRegistration setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public StudentRegistration setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentRegistration{" +
        ", id=" + id +
        ", userId=" + userId +
        ", name=" + name +
        ", musicGroupId=" + musicGroupId +
        ", currentGrade=" + currentGrade +
        ", currentClass=" + currentClass +
        ", subjectId=" + subjectId +
        ", isAllowAdjust=" + isAllowAdjust +
        ", kitPurchaseMethod=" + kitPurchaseMethod +
        ", remark=" + remark +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", parentsName=" + parentsName +
        ", parentsPhone=" + parentsPhone +
        ", parentsCompany=" + parentsCompany +
        ", paymentStatus=" + paymentStatus +
        ", actualSubjectId=" + actualSubjectId +
        ", classGroupId=" + classGroupId +
        "}";
    }
}
